Bug 1209043 - dnf migrate command fails
dnf migrate command fails
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-plugins-extras (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
:
: 1209951 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-05 10:28 EDT by Quentin Armitage
Modified: 2015-05-03 08:37 EDT (History)
12 users (show)

See Also:
Fixed In Version: dnf-plugins-extras-0.0.7-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-27 04:47:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Quentin Armitage 2015-04-05 10:28:13 EDT
Description of problem:
dnf migrate causes a python traceback, and only migrates part of the history

Version-Release number of selected component (if applicable):
dnf-yum-0.6.5-1.fc22.noarch
python-dnf-0.6.5-1.fc22.noarch
dnf-langpacks-0.9.0-2.fc22.noarch
python-dnf-plugins-extras-common-0.0.6-2.fc22.noarch
dnf-plugins-core-0.1.5-1.fc22.noarch
python3-dnf-0.6.5-1.fc22.noarch
python-dnf-plugins-extras-migrate-0.0.6-2.fc22.noarch
dnf-conf-0.6.5-1.fc22.noarch
dnf-0.6.5-1.fc22.noarch

How reproducible:
Always

Steps to Reproduce:
1. dnf migrate
2.
3.

Actual result:
# dnf migrate
Using metadata from Sun Apr  5 14:15:20 2015 (0:02:00 hours old)
Migrating history data...
Traceback (most recent call last):
  File "/usr/bin/dnf-2", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 185, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 134, in _main
    cli.run()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 1071, in run
    return self.command.run(self.base.extcmds)
  File "/usr/lib/python2.7/site-packages/dnf-plugins/migrate.py", line 117, in run
    self.migrate_history()
  File "/usr/lib/python2.7/site-packages/dnf-plugins/migrate.py", line 134, in migrate_history
    self.migrate_history_transction(yum_history, dnf_history)
  File "/usr/lib/python2.7/site-packages/dnf-plugins/migrate.py", line 185, in migrate_history_transction
    t.return_code))
sqlite3.IntegrityError: NOT NULL constraint failed: trans_end.timestamp


Expected results:
No error

Additional info:
This was done immediately after a fedup upgrade with the following options:
fedup --network 22 --enablerepo updates-testing
(the updates-testing repo was enabled to work around a conflict between yum and dnf-yum).
Comment 1 Michael Mráka 2015-04-09 08:10:46 EDT
Hello  Quentin,

could you please send us output of 

   sqlite3 /var/lib/yum/history/*sqlite 'select * from trans_end;'

command? Trans_end.timestamp column was always NOT NULL so it's quite strange how null values gets in.
Comment 2 Michael Mráka 2015-04-09 08:51:54 EDT
*** Bug 1209951 has been marked as a duplicate of this bug. ***
Comment 3 Quentin Armitage 2015-04-09 09:26:59 EDT
Hello Michael,

Output as requested:
# sqlite3 /var/lib/yum/history/*sqlite 'select * from trans_end;'
1|1372354869|1065:1ee7c543476b5271dcc892afe363bf0b59194e25|0
2|1378170429|1065:c5b3992da64c07557f97d746552273aa13cddb72|0
3|1378171635|1081:5fd2260c01cae38b9fde244dbc923a78b1892562|0
4|1378208161|1081:6a2a2eb284f8b57315f71cdaadc5903b141f1d33|0
5|1378210133|1482:e2e3bf14a3061b05ca40a2cb0e8f7e9ea5ca677c|0
6|1378212782|1744:2f420db68ae62a1b0c133e790bf4e41e44942cff|0
7|1378226647|1746:4738e04aed8129e002c77bf35b9a8d686ec51fa9|0
8|1378237813|1843:9528aaf0fcf54e227f6950cb511bcff4183fcbc5|0
9|1378237886|1847:51dab5be2c66a4bb59aeba1bfa9b80af9309eb58|0
10|1378237919|1850:398dad065748e0ded5c16c3d4551855f2f07c000|0
11|1378238423|1851:bf20a41727c626aae7212d1da4cd8506b1b5df2b|0
12|1378238520|1852:3b8b6cc0e4b5e1ed8bed61274a49eabf763e2764|0
13|1378238968|1856:2aa0b74cca6da9ba476a60a6c5ee595defb465ba|0
14|1378239006|1858:ad6c81fbd8d0033a2e3708e5144c0e1942f7fab9|0
15|1378239935|1898:16a195e79206bf59a0c930ec7b0c5bfd96b97745|0
16|1378242237|1900:92fec5b2683d0c7acb78b20eab611bb7e3f88772|0
17|1378282319|1901:5b46de8acdf7139076d030e19e244f6604212715|0
18|1378298030|1902:09bbc0403ddc77e71d1561f911bfecdaa7cb858b|0
19|1378298131|1903:2d82cad96ea1c3b06b4e9c8d80ded920e8149efd|0
20|1378375273|1908:56f4d21e2d2aba22c7a305dee8b8689253b77745|0
21|1378399954|1903:2d82cad96ea1c3b06b4e9c8d80ded920e8149efd|0
22|1378421429|1903:537e3be9a08437ebf97ae6ff9d7325a573c26e66|0
23|1378453972|1903:cd277642b970c3604a77510544c41e7f16b1dde4|0
24|1378456029|1897:ce6ff8f6025bd4408e0a543bf023645b2e7e0275|0
25|1378456097|1896:a627ff943905320e5f748180878b2b067b8b9587|0
26|1378639651|1902:bcd60b896cebc5bbd6ef9c751d7b9cde0beb0de0|0
27|1378713729|1902:1ebf60a92811d040aee7308a329c0eb1e347f83c|0
28|1378799981|1902:c05bbd0954e62adaa8e90fdee9056ee68d13f301|0
29|1378845916|1902:367a62a9f00d636698b43f01285b6fe70cf9ac1a|0
30|1378941102|1902:0cb23632a67b43abecabe48d0078919b09a95289|0
31|1378941165|1902:0d2d2c97cac80b006b2d105ad91bed109726b9f0|0
32|1379196072|1905:dd54a7bc0ec069bb652a31b97ea692adb1d620e9|0
33|1379327385|1907:08a649e7f386332c078b29f44e7577d2dbc8af84|0
34|1379537743|1909:884738befae2b6c83e6cd1b9138d030d48c18983|0
35|1379590551|1910:e89ddc7315d175f567a169aa103cba9d77067acc|0
36|1379591559|1912:df8939dbb68af4dc652f25f05c6b09b8bcad4e8d|0
37|1379632602|1913:9c76888109e0dc70e19ee5dff936be4e4f388d84|0
38|1379785171|1914:6b099a45de25d97aef4de6b80cf80a96a815d922|0
39|1379786365|1924:e232bfe2d6d7892e4aaf9d3540fc56d9ec75cba4|0
40|1379786578|1927:8a7fdd481b6b3a679d6d24d74144106cad5bfca2|0
41|1379884516|1930:d4a43efc2de5d73f63fe43459d456fa8d42f4643|0
42|1379886067|1931:7567148f35e7f83f8e24eaacf77ca6e1b206756e|0
43|1380382801|1931:d401f5dac9df01feb91847990de6eabc13bdddb8|0
44|1380439453|1937:59b6277781a7b0fc2608657ebfd6eb4a8d6e1e54|0
45|1380655149|1938:69a9141411d4df69595037446589f143db54dc0d|0
46|1380758159|1940:c166435b59c2574ef994b6cdb68fda20549bd0e1|0
47|1380758429|1950:399ec526568ff8b02b351762ae0a50dafeddb58c|0
48|1380760528|1953:aa2d3e7a6f15920aec23cea0e5367b4ffcf2a39e|0
49|1380787168|1953:b28ee688cc200e988d372a8f4e696a434a2ed0fb|0
50|1380788571|1954:56c46aef96d2f7019a8016951a8ffa44068d8605|0
51|1380789266|1953:fb2238e5db11cfdc0899ddb2ad02473403f10726|0
52|1380791462|1957:2e19dca7a3b7d6f030e371a9bab2268a728f78fa|0
53|1380792031|2040:c38618263a87ed1b7d14c5dc6f9f86cb4af1deed|0
54|1380795259|2041:301fb5826c9cf25921c94428511d5722140f9ddb|0
55|1380795679|2043:04a3d490e548b56ee6e51f6130b6f1a0c5dc717c|0
56|1380797913|2041:301fb5826c9cf25921c94428511d5722140f9ddb|0
57|1380797924|2040:c38618263a87ed1b7d14c5dc6f9f86cb4af1deed|0
58|1380798050|1957:2e19dca7a3b7d6f030e371a9bab2268a728f78fa|0
59|1380798081|1953:fb2238e5db11cfdc0899ddb2ad02473403f10726|0
60|1380798089|1952:3d98838eebdb61f626088d450c3b3cb5dc1ff4d0|0
61|1380798132|1941:1f3d962cafc0d37150f8eda8c9913c315ac73fcd|0
62|1380798146|1939:39dcca8b6777321ca2bfe354206ad2081bb42903|0
63|1380809176|1940:4df3343bf09c92c4fdb0f9d19c4a3f93944457d7|0
64|1380810993|1940:4df3343bf09c92c4fdb0f9d19c4a3f93944457d7|0
65|1380878748|1940:4df3343bf09c92c4fdb0f9d19c4a3f93944457d7|0
66|1380878835|1940:4df3343bf09c92c4fdb0f9d19c4a3f93944457d7|0
67|1380878879|1940:4df3343bf09c92c4fdb0f9d19c4a3f93944457d7|0
68|1380896843|1940:fd4c599f9cd119cc436e65db092b89801cfda7f8|0
69|1380898266|1941:5bbe4d886936edd91f9faee289eeb3bbd4000220|0
70|1381662951|1941:fa18d55a62a81cbdeaa0d71f5b0bddc8d157e034|0
71|1381663992|1941:2783323058b6842f17ea399dcb62765e7ebd4350|0
72|1382031515|1941:92e814ebb196b2765e9ad0f39b9dd4dbf6340f3b|0
73|1382035800|1939:6d374b65de5dbcda2b50e6c898d907c0d264444b|1
74|1382035897|1941:af520c5f556a6c007a8e2a0335c981a4d7399a1f|1
75|1382035956|1941:af520c5f556a6c007a8e2a0335c981a4d7399a1f|1
76|1382036060|1941:2783323058b6842f17ea399dcb62765e7ebd4350|0
77|1382084998|1943:c66644c813056faca9c6cacd30bec1f86fa20c2c|0
78|1382085017|1944:d8a051098a65add25dbb383a56a701bb9abc2e3c|0
79|1382300330|1943:b4e9d08ae4e1b56ba398b5387bc6ca6f2dc1ae00|0
80|1383325187|1944:ed2c36e8488d1a60d92ad5d9679581cd165f11bc|0
81|1383694656|1944:3c4ac271be097e45a3c7e2ae5c5fa7d5055f90bf|0
82|1384010007|1946:0b068e3e5fb33bff140bc416967086485180e631|0
83|1384446661|1946:1ce349a441aa6580d872fab76378d87fa600748d|0
84|1384447685|1947:8680d939bf8aa5bc6b2eb97b4404d02df971d8c8|0
85|1384855624|1947:e37aa0559fab136b3e890a8993aaeb66dff174f3|0
86|1385038069|1968:98480e478d7d9adb55833fd3e6aab1dac5f98f5e|0
87|1385038160|1971:f2bc19f221077e6bfa86a0dcf7a1a786b079725d|0
88|1385059843|1971:385482549891cbd43c29c601c7965921592346eb|0
89|1385111493|1971:eecf6c0ecc4b1c48854b144b9e5a77278146b781|0
90|1385988707|1973:aec427b5abfefa0ce360d91087915e2a54a2f1dd|0
91|1386063067|1978:659d71c73c9f4ba0661bb0a9d5022354a12a7fad|0
92|1386237465|1980:5e24a9613fa2a2437d73566b8b947c05d1ecbf62|0
93|1386288748|1980:4df176b7ec20920c7b07d38fffec51bd5e085aa2|0
94|1386510166|1980:d224bf4e897a9afbb615b3a5e79c8be85eaa83a0|0
95|1387200114|1981:5bb64e0fd0487bde50568b82ec4903052dc8c33b|0
96|1387284695|1981:1855ed7a4654f9066ec6f75466f39a375567886b|0
97|1387284717|1981:437d095fd467092d7f904027b227ed638ac20393|0
98|1387285380|1981:1d2a95ff796ebe34dd1c185f5b1c94eefe59e5ab|0
99|1388172693|1981:4cbd631c593d01ad22f8130484a87f5a08b5b83c|0
101|1388173888|2106:ef8781cf4c17198cbd5222d06cede4f55345c8c6|0
102|1388174077|1973:6c3ca55c6d17e07273da78c0baee2081a960eb9e|0
103|1388958906|1983:7de337aa87969ca87b26784d3ff3b539f95d16ad|0
104|1389254760|1983:0d3443f9100ddaf8b040c5f4fd5109d99a42be12|0
105|1389550923|1983:a25b078740ff96a6e0528204cf5279bc2259dea9|0
106|1389643399|1983:23c0850c5b26bca339e2da1396280b859a5e7cab|0
107|1389646797|2021:f87ae6839c37af42fba4a9591250dfad69027f1c|0
108|1389816588|2021:5d90a0f92ae8d3888e5da7927f8e79322f4f4064|0
109|1390060672|2021:58a2bd633b42e65a901719c2ac9d55a5ebbfa002|0
110|1390150415|2023:c4e3c5e56681f3eead3af5dcedb4867aad7bccc3|0
111|1390427755|2023:c573ec10b4f2f9042898d1c1b21333976e74f93a|0
112|1390562142|2023:055507ea49d6c90fa5bbc5a95028280c124885d9|0
113|1395536250|2028:ed8850d6334ea34ff87e4926f05ad27ead4c7ddb|0
114|1395706159|2028:c8d094318a12cc0c594926f35af16d444a4c98b3|0
115|1395791302|2028:220210c772590f4219bfb75ed844a0c29a9223d6|0
116|1395872087|2028:900f14610db04dd2877cc1d1d6149d5aa5251daf|0
117|1396017434|2028:d71bcfb6b681e8501d92a2f8e46e9e1c858ab520|0
118|1396079172|2028:52a5b084d7c85e673b53e007bdc4729b66db3592|0
119|1396392433|2028:3af86decdb8b3d82409406bf77a23e25c8e30fd3|0
120|1396984460|2033:62c406e7ea272c4d8d1853a90820d1884fc14ba2|0
121|1397594411|2033:e02bd44843c6c7443a1ff88efc058a729ff679c7|0
123|1397595495|2045:6244f9ab4af7be037dbc7a63bd45d1863a32448c|0
124|1397595766|2033:5d1ec0a78f114900e036e039d4d7c397fe3b5f3f|0
125|1397762881|2034:11906cbf19f5f158a37a00138962d16fd0377a2a|0
126|1398126470|2034:840edd02e295ac4e43516997a1ec8c717c6389a8|0
127|1400083917|2036:09c86e1d93dd68335665e1ff715f7933ee384661|0
128|1400455112|2036:08ffdce36b5657207b85dc6efdc05687024ff6e6|0
129|1402234903|2036:5e753de9b5b9ab55875a2db22c4abba1f7a87a64|0
130|1402236520|2037:050666fbde938cf464c0c8264d9666dace78384d|0
131|1403044285|2037:9c2e4d22becf2fe8872816a35d0035782494f8c3|0
132|1403597177|2038:35ad67a35e664ec508d205bd3562d2d075c36e7b|0
133|1404391164|2038:d774e733eadbe2ba67df027708b48fdabc2c1550|0
134|1404557535|2038:b399c718e40ab14947b70d5b74251103bb7228f5|0
135|1406308767|2038:0f1436a8c5c34b1cf9c31ae2965025d35b74b445|0
136|1407400499|2039:d8faa54d35e58c41d4f7bfa9d9a7aa22b4961435|0
137|1407760132|2039:9335e582966dc6863c74ea8a9e0572c911c5a4d5|0
138|1408286767|2039:618de10b4e337f56e34d68c7871693a012ea4da3|0
139|1409611491|2039:f65db0620f7f155637e15f16420bbca984592085|0
140|1409828884|2039:b195b1bc6bbd987bc8e99ffc4721ddb09fbd94ef|0
141|1410365967|2039:a77f151572869e7b81ef49d16e3dffb312dfeaff|0
142|1411168034|2040:2b02ee3adbb9d992269a43d9207b3b864fb301f6|0
143|1411660791|2043:e2fdc83424deef02399b5f2aba3151f683099b7e|0
144|1411753893|2043:f7f53c23522aea74e3e35b1c88c77a8326250dfa|0
145|1412517240|2043:a038b037938190d7302736d8097e88f94384b06c|0
146|1412861406|2044:8529ce9cb1c3846273a784e476bb81b1376f48b6|0
147|1412861781|2044:043d8a3de8b84e5fc45c7337e6278c1e537d4e75|0
148|1414541876|2044:ab908117469ae29170bcdbbf4cee8e6ae6f576e1|0
149|1416304651|2044:b7452d06f7d29ff45b85ec1aa10deb311736f7b2|0
150|1417880453|2050:51c0d682e05dfe179723e0c525035cad7e77cada|0
151|1418260565|2050:cb001e84053289572ca6b4177b39c9720b1b6c73|0
152|1422547223|2052:9a6dc39b1d2077349c8c973c0ccac18809bb0570|0
153|1427111348|2058:ebeaa1b8a1d1c402d1cddd19f8ae92c72cfbc64b|0
154|1428151092|2058:bf8ed3185d67d98d9cc44087652b3ec106ba09a0|0
155|1428151133|2059:8b2ba4e79979ffaaad2b1bb4432b6afca428558b|0
156|1428158882|2060:04350f7f2a6d201b0547f27d837c972efdbd2735|0
157|1428160188|2059:a7d4b111ccfa4867d7d3ff955ee0b6d577150efd|0
158|1428164629|2060:9d322afbfeb285abf80e9d3bc82cbb3063335357|0
159|1428165563|2059:a7d4b111ccfa4867d7d3ff955ee0b6d577150efd|0
160|1428175735|2058:e8289f907e562a98e02e89211c44e81e38e12e68|0
161|1428179475|2055:2abab0d30add5c232fc8722e2a2e1910667e02a2|0
162|1428179803|2050:9359144acb796c89a677149d606de791249044bf|0
163|1428180374|2056:5690d1226ee10c4b8b89de1bf8653fbce178dce6|0
164|1428215444|2331:e400b50e5ba0a3d97d691322e7a8aae946885a7f|0
165|1428228274|2330:ba3eb24d08b3abacd975753e98e653f776ba623a|0
Comment 4 Török Edwin 2015-04-09 09:37:26 EDT
The constraint fails on an insert for me, and I don't have any NULL values in trans_end yet.
It is quite possible that there are some transactions that are in trans_beg but not trans_end, see my 2nd sqlite output:

sudo sqlite3 /var/lib/yum/history/*sqlite 'select * from trans_end;'
1|1425593212|1113:92c000b0ddab64c049df45c220919d046add3f09|0
3|1426791918|1247:ac023446ea4c3591eb171b4f3b01f2be71b1d925|0
4|1426791925|1246:11331f26d43a867dac446a00b540bbe1f9c5ba94|0
5|1426792018|1247:ccc1796e4e21d369e0e7320f4d98838537585213|0
6|1426792211|1346:1ebfe0c08d4df650c2e2ab0c40bab37dd2a6f38c|0
7|1426797408|1499:f197deddaa846c9fd5d84463f971426f8a08fb26|0
8|1426797570|1499:8a17e7c90b4943de03721f48bd994e2ce15574ee|0
9|1426797662|1498:b2c17a449190c5c21cd74f0451ee2996a8f606c0|0
10|1426797675|1499:8a17e7c90b4943de03721f48bd994e2ce15574ee|0
11|1426797694|1498:b2c17a449190c5c21cd74f0451ee2996a8f606c0|0
12|1426978085|1516:7ed60e1917a49df76e0ebaed71ab715d5bf7ef20|0
13|1426978370|1565:abef1865d132ef8254acd3e9321aa142002eeba7|0
14|1426978388|1569:93fd0a1ecb74750c06b1feb3d9194cce083fff69|0
15|1427042370|1579:3f36a9a7c483a9b3a11cb594636507de4a5d13d5|0
16|1427042627|1580:b01fa82836655d88ada4927f2683b2503a21b8df|0
17|1427042705|1585:0140b2076e4849717260ebad874391302119e380|0
18|1427043495|1589:36bdfada9af26b4f405fb978372eef64778d8f19|0
19|1427043661|1590:b5714573a2f8a38af4a8373576937f99ec6c9547|0
20|1427044768|1595:471440539b714f3cddf50e655a37767b1ef66477|0
21|1427045447|1597:03e65bbc31f8795c581d016f5ae358b5cdd0eacd|0
22|1427046353|1713:4324c33f219fa5716fc120a9f1aeac7777844ab1|0
23|1427046426|1716:622613a87899b3d8feba5a3bf44c5893b58f8942|0
24|1427046712|1717:61f852089b2883eb1802a134aa087f842c0cc0bb|0
25|1427047601|1719:d1194097a720ca1598f461617b333068227902b2|0
26|1427047764|1720:207d2d1f97adf289e3abe1b619b5216e35086cff|0
27|1427047825|1721:4bd41b3d39e82cd2dc1f2cf9e9e9ac49cee9408d|0
28|1427047865|1722:4584984f9904a0f9d713d69ca2ae6d2e353a921c|0
29|1427047984|1744:fd8e8564246db862b6924e0bc6cbc2fe8ae7285f|0
30|1427118568|1744:f963ba67212597b80f9dc46d446f026bf2d514df|0
31|1427118703|1746:9446c8fc1e45ad047856907b2ca9f6d5829117a2|0
32|1427118785|1747:e6548a11d3e466b2b17fdfcdbd9dab299e5a3797|0
33|1427119304|1754:c9ba4084b7fd026049c7fe476ca22771e713504b|0
34|1427361564|1759:6c6496d7b0fa1762286b1a6a3cc5800b1a5b2ce5|0
35|1427722153|1773:29225b87a58df2b11cc4f7ece1d1ca4f1aa41bf1|0
36|1427724221|1781:2e4879c1522201ace0263736d8320cd78de37596|0
37|1428500875|1796:6b4eab812179377468f7ad8e76dea8df6b4027c9|0

sudo sqlite3 /var/lib/yum/history/*sqlite 'select * from trans_beg left join trans_end on trans_beg.tid=trans_end.tid left join trans_error on trans_beg.tid=trans_error.tid left join trans_script_stdout on trans_script_stdout.tid=trans_beg.tid where trans_end.tid IS NULL'
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||108|2|error: %preun(lxdm-0.4.1-9.fc22.x86_64) scriptlet failed, signal 1
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||1|2|warning: /etc/xdg/lxsession/LXDE/autostart saved as /etc/xdg/lxsession/LXDE/autostart.rpmsave
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||106|2|warning: file /usr/lib64/firefox/components/components.manifest: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||105|2|warning: file /usr/lib64/firefox/components/libdbusservice.so: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||104|2|warning: file /usr/lib64/firefox/components/libmozgnome.so: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||107|2|warning: file /usr/lib64/firefox/components: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||102|2|warning: file /usr/lib64/firefox/langpacks/langpack-ach@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||101|2|warning: file /usr/lib64/firefox/langpacks/langpack-af@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||100|2|warning: file /usr/lib64/firefox/langpacks/langpack-an@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||99|2|warning: file /usr/lib64/firefox/langpacks/langpack-ar@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||98|2|warning: file /usr/lib64/firefox/langpacks/langpack-as@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||97|2|warning: file /usr/lib64/firefox/langpacks/langpack-ast@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||96|2|warning: file /usr/lib64/firefox/langpacks/langpack-az@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||95|2|warning: file /usr/lib64/firefox/langpacks/langpack-be@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||94|2|warning: file /usr/lib64/firefox/langpacks/langpack-bg@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||93|2|warning: file /usr/lib64/firefox/langpacks/langpack-bn-BD@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||92|2|warning: file /usr/lib64/firefox/langpacks/langpack-bn-IN@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||91|2|warning: file /usr/lib64/firefox/langpacks/langpack-bn@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||90|2|warning: file /usr/lib64/firefox/langpacks/langpack-br@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||89|2|warning: file /usr/lib64/firefox/langpacks/langpack-bs@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||88|2|warning: file /usr/lib64/firefox/langpacks/langpack-ca@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||87|2|warning: file /usr/lib64/firefox/langpacks/langpack-cs@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||86|2|warning: file /usr/lib64/firefox/langpacks/langpack-cy@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||85|2|warning: file /usr/lib64/firefox/langpacks/langpack-da@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||84|2|warning: file /usr/lib64/firefox/langpacks/langpack-de@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||83|2|warning: file /usr/lib64/firefox/langpacks/langpack-dsb@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||82|2|warning: file /usr/lib64/firefox/langpacks/langpack-el@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||81|2|warning: file /usr/lib64/firefox/langpacks/langpack-en-GB@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||80|2|warning: file /usr/lib64/firefox/langpacks/langpack-en-ZA@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||79|2|warning: file /usr/lib64/firefox/langpacks/langpack-eo@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||78|2|warning: file /usr/lib64/firefox/langpacks/langpack-es-AR@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||77|2|warning: file /usr/lib64/firefox/langpacks/langpack-es-CL@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||76|2|warning: file /usr/lib64/firefox/langpacks/langpack-es-ES@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||75|2|warning: file /usr/lib64/firefox/langpacks/langpack-es-MX@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||74|2|warning: file /usr/lib64/firefox/langpacks/langpack-es@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||73|2|warning: file /usr/lib64/firefox/langpacks/langpack-et@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||72|2|warning: file /usr/lib64/firefox/langpacks/langpack-eu@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||71|2|warning: file /usr/lib64/firefox/langpacks/langpack-fa@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||70|2|warning: file /usr/lib64/firefox/langpacks/langpack-ff@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||69|2|warning: file /usr/lib64/firefox/langpacks/langpack-fi@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||68|2|warning: file /usr/lib64/firefox/langpacks/langpack-fr@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||67|2|warning: file /usr/lib64/firefox/langpacks/langpack-fy-NL@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||66|2|warning: file /usr/lib64/firefox/langpacks/langpack-fy@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||65|2|warning: file /usr/lib64/firefox/langpacks/langpack-ga-IE@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||64|2|warning: file /usr/lib64/firefox/langpacks/langpack-ga@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||63|2|warning: file /usr/lib64/firefox/langpacks/langpack-gd@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||62|2|warning: file /usr/lib64/firefox/langpacks/langpack-gl@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||61|2|warning: file /usr/lib64/firefox/langpacks/langpack-gu-IN@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||60|2|warning: file /usr/lib64/firefox/langpacks/langpack-gu@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||59|2|warning: file /usr/lib64/firefox/langpacks/langpack-he@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||58|2|warning: file /usr/lib64/firefox/langpacks/langpack-hi-IN@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||57|2|warning: file /usr/lib64/firefox/langpacks/langpack-hi@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||56|2|warning: file /usr/lib64/firefox/langpacks/langpack-hr@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||55|2|warning: file /usr/lib64/firefox/langpacks/langpack-hsb@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||54|2|warning: file /usr/lib64/firefox/langpacks/langpack-hu@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||53|2|warning: file /usr/lib64/firefox/langpacks/langpack-hy-AM@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||52|2|warning: file /usr/lib64/firefox/langpacks/langpack-hy@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||51|2|warning: file /usr/lib64/firefox/langpacks/langpack-id@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||50|2|warning: file /usr/lib64/firefox/langpacks/langpack-is@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||49|2|warning: file /usr/lib64/firefox/langpacks/langpack-it@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||48|2|warning: file /usr/lib64/firefox/langpacks/langpack-ja@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||47|2|warning: file /usr/lib64/firefox/langpacks/langpack-kk@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||46|2|warning: file /usr/lib64/firefox/langpacks/langpack-km@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||45|2|warning: file /usr/lib64/firefox/langpacks/langpack-kn@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||44|2|warning: file /usr/lib64/firefox/langpacks/langpack-ko@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||43|2|warning: file /usr/lib64/firefox/langpacks/langpack-lij@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||42|2|warning: file /usr/lib64/firefox/langpacks/langpack-lt@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||41|2|warning: file /usr/lib64/firefox/langpacks/langpack-lv@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||40|2|warning: file /usr/lib64/firefox/langpacks/langpack-mai@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||39|2|warning: file /usr/lib64/firefox/langpacks/langpack-mk@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||38|2|warning: file /usr/lib64/firefox/langpacks/langpack-ml@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||37|2|warning: file /usr/lib64/firefox/langpacks/langpack-mr@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||36|2|warning: file /usr/lib64/firefox/langpacks/langpack-ms@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||35|2|warning: file /usr/lib64/firefox/langpacks/langpack-nb-NO@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||34|2|warning: file /usr/lib64/firefox/langpacks/langpack-nb@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||33|2|warning: file /usr/lib64/firefox/langpacks/langpack-nl@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||32|2|warning: file /usr/lib64/firefox/langpacks/langpack-nn-NO@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||31|2|warning: file /usr/lib64/firefox/langpacks/langpack-nn@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||30|2|warning: file /usr/lib64/firefox/langpacks/langpack-or@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||29|2|warning: file /usr/lib64/firefox/langpacks/langpack-pa-IN@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||28|2|warning: file /usr/lib64/firefox/langpacks/langpack-pa@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||27|2|warning: file /usr/lib64/firefox/langpacks/langpack-pl@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||26|2|warning: file /usr/lib64/firefox/langpacks/langpack-pt-BR@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||25|2|warning: file /usr/lib64/firefox/langpacks/langpack-pt-PT@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||24|2|warning: file /usr/lib64/firefox/langpacks/langpack-pt@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||23|2|warning: file /usr/lib64/firefox/langpacks/langpack-rm@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||22|2|warning: file /usr/lib64/firefox/langpacks/langpack-ro@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||21|2|warning: file /usr/lib64/firefox/langpacks/langpack-ru@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||20|2|warning: file /usr/lib64/firefox/langpacks/langpack-si@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||19|2|warning: file /usr/lib64/firefox/langpacks/langpack-sk@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||18|2|warning: file /usr/lib64/firefox/langpacks/langpack-sl@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||17|2|warning: file /usr/lib64/firefox/langpacks/langpack-son@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||16|2|warning: file /usr/lib64/firefox/langpacks/langpack-sq@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||15|2|warning: file /usr/lib64/firefox/langpacks/langpack-sr@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||14|2|warning: file /usr/lib64/firefox/langpacks/langpack-sv-SE@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||13|2|warning: file /usr/lib64/firefox/langpacks/langpack-sv@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||12|2|warning: file /usr/lib64/firefox/langpacks/langpack-ta@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||11|2|warning: file /usr/lib64/firefox/langpacks/langpack-te@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||10|2|warning: file /usr/lib64/firefox/langpacks/langpack-th@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||9|2|warning: file /usr/lib64/firefox/langpacks/langpack-tr@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||8|2|warning: file /usr/lib64/firefox/langpacks/langpack-uk@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||7|2|warning: file /usr/lib64/firefox/langpacks/langpack-uz@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||6|2|warning: file /usr/lib64/firefox/langpacks/langpack-vi@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||5|2|warning: file /usr/lib64/firefox/langpacks/langpack-xh@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||4|2|warning: file /usr/lib64/firefox/langpacks/langpack-zh-CN@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||3|2|warning: file /usr/lib64/firefox/langpacks/langpack-zh-TW@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||2|2|warning: file /usr/lib64/firefox/langpacks/langpack-zh@firefox.mozilla.org.xpi: remove failed: No such file or directory
2|1426791812|1422:b8e98f83ab8a0e9a99838a832d0824be3bec084c|1000||||||||103|2|warning: file /usr/lib64/firefox/langpacks: remove failed: No such file or directory
Comment 5 Quentin Armitage 2015-04-09 11:44:22 EDT
Does the problem relate to there being no trans_end records for tids 100 and 122, whereas I do has trans_beg records for tids 100 and 122?

sqlite> select * from trans_beg where tid in (100,122);
100|1388172745|1981:4cbd631c593d01ad22f8130484a87f5a08b5b83c

The code in /usr/lib/python2.7/site-packages/yum/history.py YumHistory.old() (around line 1192) (manually) constructs an OUTER JOIN as trans_beg OUTER trans_end, which therefore means that there will be two records in the recordset with trans_end.timestamp = NULL.
Comment 6 Quentin Armitage 2015-04-09 11:45:54 EDT
Apologies, the output of the SQL query in Comment #5 should read:

sqlite> select * from trans_beg where tid in (100,122);
100|1388172745|1981:4cbd631c593d01ad22f8130484a87f5a08b5b83c|0
122|1397594482|2033:e02bd44843c6c7443a1ff88efc058a729ff679c7|1000
Comment 7 Michael Mráka 2015-04-09 13:56:13 EDT
Thank you guys, I think that's it. Failed transactions have no record in trans_end.
Comment 8 Michael Mráka 2015-04-09 14:10:37 EDT
Fixed in upstream by
https://github.com/rpm-software-management/dnf-plugins-extras/pull/21

If you can apply the patch from PR manually and test it I'll appreciate it.
Thanks.
Comment 9 Quentin Armitage 2015-04-10 06:06:38 EDT
Many thanks, that now allows the migration to successfully complete.

There is one further issue I have noticed in the migration of the history. The yum history had 165 records (i.e. max tid = 165), and 14 dnf history records had been inserted into the dnf history database. These have all been successfully combined into the dnf history database, but the tids start from 180 (165 + 14 + 1). This causes two issues:

i) It looks as though 179 history records are missing
ii) More importantly, any undo records from yum now refer to a non-existant tid. For example:
# dnf history info 200
Using metadata from Wed Apr  8 17:45:38 2015 (1 day, 17:00:42 hours old)
Transaction ID : 200
Begin time     : Thu Sep  5 17:52:27 2013
Begin rpmdb    : 1908:56f4d21e2d2aba22c7a305dee8b8689253b77745
End time       :            17:52:34 2013 (7 seconds)
End rpmdb      : 1903:2d82cad96ea1c3b06b4e9c8d80ded920e8149efd
User           : Quentin Armitage <quentin>
Return-Code    : Success
Command Line   : history undo 20
Transaction performed with:
    Upgraded      rpm-4.11.1-1.fc19.x86_64  @updates/19
    Upgraded      yum-3.4.3-106.fc19.noarch @updates/19
Packages Altered:
 ** Erase cmake-2.8.11-1.fc19.x86_64                @fedora/19
 ** Erase libaio-devel-0.3.109-7.fc19.x86_64        @fedora/19
 ** Erase ncurses-devel-5.9-11.20130511.fc19.x86_64 @fedora/19
 ** Erase perl-Test-Simple-0.98-243.fc19.noarch     @fedora/19
 ** Erase readline-devel-6.2-6.fc19.x86_64          @fedora/19

# dnf history info 20
Using metadata from Wed Apr  8 17:45:38 2015 (1 day, 17:07:22 hours old)

This appears to be caused by function migrate_history_reorder(). The following patch would change it so that the tids start from 1, and the reference to undo records imported from yum would be correct (and undo records in the dnf history would still have a problem).

--- a/migrate.py	2015-04-10 10:24:37.399753199 +0100
+++ b/migrate.py	2015-04-10 11:00:29.492349462 +0100
@@ -219,11 +219,20 @@
     def migrate_history_reorder(dnf_hist):
         dnf_cur = dnf_hist._get_cursor()
         dnf_cur.execute("""select max(tid) from trans_beg""")
-        new_tid = dnf_cur.fetchone()[0]
+        max_tid = dnf_cur.fetchone()[0]
+
+        for table in ["trans_beg", "trans_cmdline", "trans_end",
+                      "trans_with_pkgs", "trans_data_pkgs",
+                      "trans_skip_pkgs", "trans_rpmdb_problems",
+                      "trans_error", "trans_script_stdout"]:
+            dnf_cur.execute("update %s set tid = tid + ?" % table,
+                            (max_tid))
+        dnf_hist._commit()
+
         dnf_cur.execute("""select tid from trans_beg order by timestamp asc""")
         for row in dnf_cur.fetchall():
             old_tid = row[0]
-            new_tid += 1
+            new_tid = 1
             for table in ["trans_beg", "trans_cmdline", "trans_end",
                           "trans_with_pkgs", "trans_data_pkgs",
                           "trans_skip_pkgs", "trans_rpmdb_problems",
Comment 10 Radek Holy 2015-04-10 06:22:40 EDT
Well, if we would like to solve the problem (ii), the patch needs to be little more complex because there may be users that sometimes use YUM and sometimes DNF... But probably a good start.
Comment 11 Michael Mráka 2015-04-10 07:40:57 EDT
If dnf history records will be still wrong is there a reasonable matter to renumber it? IMHO having half (yum) of history point to correct transactions and half (dnf) to wrong but existing ones is worse than all of them referencing 
non-existent ones.

The patch is not 100% correct either because yum and dnf transactions may interleave (if admin used both in the past in parallel) so yum's transaction 20 may not be 20 anymore after merge.
Comment 12 Fedora Update System 2015-04-21 08:24:29 EDT
dnf-plugins-extras-0.0.7-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-plugins-extras-0.0.7-1.fc22
Comment 13 Fedora Update System 2015-04-22 18:48:10 EDT
Package dnf-plugins-extras-0.0.7-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-extras-0.0.7-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-6624/dnf-plugins-extras-0.0.7-1.fc22
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2015-04-27 04:47:19 EDT
dnf-plugins-extras-0.0.7-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.